Gecode::Slice< A > Class Template Reference

A slice of a matrix. More...

`#include <minimodel.hh>`

## Public Types

typedef ArrayTraits< A >::ArgsType | ArgsType
| The type of the Args-array type for ValueType values.

## Public Member Functions

| Slice (const Matrix< A > &a, int fc, int tc, int fr, int tr)
| Construct slice.
Slice & | reverse (void)
| Reverses the contents of the slice, and returns a reference to it.
| operator ArgsType (void)
| Cast to array type.
| operator Matrix< ArgsType > (void)
| Cast to matrix type.
| operator const ArgsType (void) const
| Cast to array type.
| operator const Matrix< ArgsType > (void) const
| Cast to matrix type.

## Detailed Description

template<class A>
class Gecode::Slice< A >

A slice of a matrix.

This class represents a slice of the matrix. It is used to get context-dependent behaviour. The slice will be automatically converted to an ArgsType Args-array or to a Matrix<ArgsType> depending on the context where it is used.

Definition at line 2097 of file minimodel.hh.

## Member Typedef Documentation

## ArgsType

template<class A>

typedef ArrayTraits<A>::ArgsType Gecode::Slice< A >::ArgsType

The type of the Args-array type for ValueType values.

Definition at line 2100 of file minimodel.hh.

## Constructor & Destructor Documentation

## Slice()

template<class A>

Gecode::Slice< A >::Slice | ( | const Matrix< A > & | a,
|  | int | fc,
|  | int | tc,
|  | int | fr,
|  | int | tr )

inline

Construct slice.

Definition at line 43 of file matrix.hpp.

## Member Function Documentation

## reverse()

template<class A>

Slice< A > & Gecode::Slice< A >::reverse | ( | void |  | ) |

Reverses the contents of the slice, and returns a reference to it.

Definition at line 62 of file matrix.hpp.

## operator ArgsType()

template<class A>

Gecode::Slice< A >::operator ArgsType | ( | void |  | ) |

inline

Cast to array type.

Definition at line 70 of file matrix.hpp.

## operator Matrix< ArgsType >()

template<class A>

Gecode::Slice< A >::operator Matrix< ArgsType > | ( | void |  | ) |

Cast to matrix type.

## operator const ArgsType()

template<class A>

Gecode::Slice< A >::operator const ArgsType | ( | void |  | ) | const

Cast to array type.

## operator const Matrix< ArgsType >()

template<class A>

Gecode::Slice< A >::operator const Matrix< ArgsType > | ( | void |  | ) | const

Cast to matrix type.

The documentation for this class was generated from the following files:

- gecode/minimodel.hh
- gecode/minimodel/matrix.hpp